Status: Resolved Priority: Should have

Author: Arvid Jakobsson Category: Code Cleanup
TYPO3 Version: 6.0

PHP Version:
Subject: Superfluous brackets in sysext sysexts "t3skin", "taskcenter", "tsconfig_help" and "tstemplate" after
namespaces move

Description

The following syntax appears in various parts of these extensions:

- if ((('$root && 1$DBmount) && $elFromTable) && $GLOBALS['TCA'[$table]['ctrl']['sortby']) {
+ if (I$root && !1$DBmount && $elFromTable && $GLOBALS[' TCA"|[$table]['ctrl']['sortby") {

Associated revisions

Revision 473f9c4e - 2012-09-17 21:56 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "t3skin", "taskcenter",
"tsconfig_help" and "tstemplate”.

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: 19034b5146aa02651e99ab3651c50d785423e64c2
Resolves: #40972

Related: #40095

Reviewed-on: http://review.typo3.org/14631

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-09-16 22:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14631

#2 - 2012-09-17 22:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:473f9c4eb2af6587f26868266bfc0b88cdOad6e.
